Package org.springframework.scheduling.annotation

# Class AbstractAsyncConfiguration

java.lang.Object
org.springframework.scheduling.annotation.AbstractAsyncConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `ImportAware`

Direct Known Subclasses:
  `ProxyAsyncConfiguration`

@Configuration(proxyBeanMethods=false) public abstract class AbstractAsyncConfiguration extends Object implements ImportAware
Abstract base `Configuration` class providing common structure for enabling Spring's asynchronous method execution capability.

Since:
  3.1
Author:
  Chris Beams, Juergen Hoeller, Stephane Nicoll
See Also:
  - `EnableAsync`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.springframework.core.annotation.AnnotationAttributes`
`enableAsync`
`protected Supplier<org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler>`
`exceptionHandler`
`protected Supplier<Executor>`
`executor`

## Constructor Summary

Constructors
Constructor
Description
`AbstractAsyncConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)`
Set the annotation metadata of the importing @`Configuration` class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### enableAsync

@Nullable protected org.springframework.core.annotation.AnnotationAttributes enableAsync

### executor

@Nullable protected Supplier<Executor> executor

### exceptionHandler

@Nullable protected Supplier<org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler> exceptionHandler

## Constructor Details

### AbstractAsyncConfiguration

public AbstractAsyncConfiguration()

## Method Details

### setImportMetadata

public void setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)
Description copied from interface: `ImportAware`
Set the annotation metadata of the importing @`Configuration` class.

Specified by:
  `setImportMetadata` in interface `ImportAware`